Privacy
The privacy settings object
Attributes
groupAddstringrequiredSpecifies group add for this native privacy setting.
lastSeenstringrequiredSpecifies last seen for this native privacy setting.
statusstringrequiredPrivacy audience allowed to view the account's status updates.
profilestringrequiredSpecifies profile for this native privacy setting.
readReceiptsstringrequiredSpecifies read receipts for this native privacy setting.
onlinestringrequiredSpecifies online for this native privacy setting.
callAddstringrequiredSpecifies call add for this native privacy setting.
messagesstringrequiredSpecifies messages for this native privacy setting.
defensestringrequiredSpecifies defense for this native privacy setting.
stickersstringrequiredSpecifies stickers for this native privacy setting.
{
"groupAdd": "string",
"lastSeen": "string",
"status": "string",
"profile": "string",
"readReceipts": "string",
"online": "string",
"callAdd": "string",
"messages": "string",
"defense": "string",
"stickers": "string"
}Get privacy settings
- Base URL
https://api.polymorfa.com- Required permission
profile:read
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Responses
200Privacy settings
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 10 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl "https://api.polymorfa.com/messaging/<session>/privacy" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22"{
"success": true,
"data": {
"groupAdd": "string",
"lastSeen": "string",
"status": "string",
"profile": "string",
"readReceipts": "string",
"online": "string",
"callAdd": "string",
"messages": "string",
"defense": "string",
"stickers": "string"
}
}Set default disappearing timer
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
Body
durationSecondsnumberrequiredDuration in seconds.
Accepts one ofnumber,
0number,
86400number,
604800number,
7776000
Responses
200Default disappearing-message timer updated
successbooleanrequiredWhether the request succeeded.
messagestringHuman-readable message associated with this result.
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/privacy/disappearing/default" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"durationSeconds": 0
}'{
"success": true
}Set privacy setting
- Base URL
https://api.polymorfa.com- Required permission
profile:write
Path parameters
sessionstringrequiredIdentifier of the connected Polymorfa session.
settingstringrequiredSpecifies setting for this path parameter.
Allowed valuesgroupaddlaststatusprofilereadreceiptsonlinecalladdmessagesdefensestickers
Body
valuestringrequiredValue assigned to this field.
Allowed valuesallcontactscontact_allowlistcontact_blacklistmatch_last_seenknownnoneon_standardoff
Responses
200Updated privacy settings
successbooleanrequiredWhether the request succeeded.
Allowed valuestruedataobjectrequiredStructured data carried by this object.
Show 10 child fields
Show 3 headers
400Bad request — request body or params failed validation
401Missing or invalid authentication token
403Authenticated but not permitted (missing scope or rule violation)
404Resource not found
500Internal server error
curl -X PUT "https://api.polymorfa.com/messaging/<session>/privacy/<setting>" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Polymorfa-Version: 2026-09-22" \
-H "Content-Type: application/json" \
-d '{
"value": "all"
}'{
"success": true,
"data": {
"groupAdd": "string",
"lastSeen": "string",
"status": "string",
"profile": "string",
"readReceipts": "string",
"online": "string",
"callAdd": "string",
"messages": "string",
"defense": "string",
"stickers": "string"
}
}